package cn.com.qmth.stmms.biz.report.service;

import cn.com.qmth.stmms.biz.report.model.ReportSubjectCollege;
import cn.com.qmth.stmms.biz.report.query.ReportSubjectQuery;

import java.util.List;

/**
 * 课程电厂分析 service 接口
 *
 * @author xuwenjin
 * @Date 2019-04-16
 */
public interface ReportSubjectCollegeService {

    void deleteByExamId(Integer examId);

    List<ReportSubjectCollege> findByQuery(ReportSubjectQuery query);

    ReportSubjectCollege save(ReportSubjectCollege r);

    void deleteByExamIdAndSubjectCode(Integer examId, String subjectCode);
}
